Bug 1283467 - dracut genererated initramfs fails to recognize any disks and file systems (so it fails to boot)
dracut genererated initramfs fails to recognize any disks and file systems (s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 22:48 EST by Michal Jaegermann
Modified: 2017-08-08 08:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:26:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2015-11-18 22:48:47 EST
Description of problem:

With initramfs generated for kernel-4.4.0-0.rc1.git0.1.fc24.x86_64 by dracut-043-174.git20151116.fc24 a boot continues to "Reached target Basic System" and stops.  After a long while a repeating messages like those:

dracut-initqueue [222] Warning: dracut-initqueue timeout - starting timeout scripts

That is flooding a screen for a long time and, if one is patient enough to wait over through that, dracut reaches eventually an emergency shell prompt.  At this stage
it turns out that /dev/disk/ does not exits and none of disks and/or file system is recognized.  An attempt to insert a USB stick in order to save rdsosreport.txt makes a new USB device to appear but there is nothing to mount hence no place to save.

Version-Release number of selected component (if applicable)
dracut-043-174.git20151116.fc24

How reproducible:
always

Additional info:
dracut-043-172.git20151113.fc24 generated initramfs for kernel-4.4.0-0.rc1.git0.1.fc24.x86_64 suffered from the same fate.  4.4.0-0.rc0.git9.1.fc24.x86_64 with initramfs created with dracut-043-174.git20151116.fc24 sort of booted but it took a very long time and while logs claims that gdm is running there is no graphic image on a screen
and 'systemctl -l status gdm' shows lines like that:

gdm[1012]: Unable to kill session worker process
gdm[1012]: Child process -1259 was already dead.
gdm[1012]: Child process 1235 was already dead.
gdm[1012]: Unable to kill session worker process
gdm[1012]: Child process -1272 was already dead.
gdm[1012]: Child process 1266 was already dead.
gdm[1012]: Unable to kill session worker process
gdm[1012]: Child process -1286 was already dead.
gdm[1012]: Child process 1279 was already dead.
gdm[1012]: Unable to kill session worker process
Comment 1 Jan Kurik 2016-02-24 08:59:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:31:39 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:26:08 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.